Debian Bug report logs - #597636
linux-image-2.6.32-5-amd64: Unable to login with this kernel

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Moorthi Pichumani <mpichumani@alumni.unav.es>

Date: Tue, 21 Sep 2010 15:33:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 598866

Found in version 2.6.32-23

Fixed in version linux-2.6/2.6.32-24

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=29834

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Tue, 21 Sep 2010 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moorthi Pichumani <mpichumani@alumni.unav.es>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Sep 2010 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moorthi Pichumani <mpichumani@alumni.unav.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Tue, 21 Sep 2010 17:26:04 +0200
Package: linux-2.6
Version: 2.6.32-23
Severity: important

Dear Managers

After rebooting with this kernel, system apparently hangs. But I can connect it
remotely. Then I tried with out gdm manager in order to solve the problem of
xwindow. Now it happens the same. "The system boots and unable to login except
remotely"

Thank you

M. Pichumani



-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-23) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Fri Sep 17 21:50:19 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64 root=UUID=fa31795d-97ba-45b7-a762-1c295fd317e9 ro quiet

** Tainted: D (128)
 * Kernel has oopsed before.

** Kernel log:
[    8.061941] fb0: radeondrmfb frame buffer device
[    8.061943] registered panic notifier
[    8.061961] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
[    8.062013] HDA Intel 0000:01:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    8.062084] HDA Intel 0000:01:00.1: setting latency timer to 64
[    8.785997] Adding 7815580k swap on /dev/sda6.  Priority:-1 extents:1 across:7815580k 
[    9.280951] EXT3 FS on sda2, internal journal
[    9.404100] loop: module loaded
[   11.232128] kjournald starting.  Commit interval 5 seconds
[   11.232238] EXT3 FS on sda1, internal journal
[   11.232242] EXT3-fs: mounted filesystem with ordered data mode.
[   11.356964] kjournald starting.  Commit interval 5 seconds
[   11.357148] EXT3 FS on sda4, internal journal
[   11.357152] EXT3-fs: mounted filesystem with ordered data mode.
[   11.447936] kjournald starting.  Commit interval 5 seconds
[   11.448054] EXT3 FS on sda5, internal journal
[   11.448061] EXT3-fs: mounted filesystem with ordered data mode.
[   15.253228] sky2 eth0: enabling interface
[   15.253816] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   15.685001] fuse init (API version 7.13)
[   16.699803] NET: Registered protocol family 15
[   16.793826] alg: No test for cipher_null (cipher_null-generic)
[   16.793853] alg: No test for ecb(cipher_null) (ecb-cipher_null)
[   16.793875] alg: No test for digest_null (digest_null-generic)
[   16.793900] alg: No test for compress_null (compress_null-generic)
[   16.931272] padlock: VIA PadLock Hash Engine not detected.
[   16.941564] padlock: VIA PadLock Hash Engine not detected.
[   17.076650] padlock: VIA PadLock not detected.
[   17.516081] sky2 eth0: Link is up at 10 Mbps, half duplex, flow control none
[   17.516635] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   18.558375] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input13
[   19.294727] vboxdrv: Trying to deactivate the NMI watchdog permanently...
[   19.294730] vboxdrv: Warning: 2.6.31+ kernel detected. Most likely the hardware performance
[   19.294732] vboxdrv: counter framework which can generate NMIs is active. You have to prevent
[   19.294733] vboxdrv: the usage of hardware performance counters by
[   19.294734] vboxdrv:   echo 2 > /proc/sys/kernel/perf_counter_paranoid
[   19.301211] vboxdrv: Found 2 processor cores.
[   19.301373] VBoxDrv: dbg - g_abExecMemory=ffffffffa04b16c0
[   19.301393] vboxdrv: fAsync=0 offMin=0x1a4 offMax=0x10dc
[   19.301668] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[   19.301670] vboxdrv: Successfully loaded version 3.2.8_OSE (interface 0x00140001).
[   26.424481] Bluetooth: Core ver 2.15
[   26.424550] NET: Registered protocol family 31
[   26.424553] Bluetooth: HCI device and connection manager initialized
[   26.424558] Bluetooth: HCI socket layer initialized
[   26.447361] Bluetooth: L2CAP ver 2.14
[   26.447365] Bluetooth: L2CAP socket layer initialized
[   26.521097] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   26.521102] Bluetooth: BNEP filters: protocol multicast
[   26.546737] Bluetooth: RFCOMM TTY layer initialized
[   26.546743] Bluetooth: RFCOMM socket layer initialized
[   26.546746] Bluetooth: RFCOMM ver 1.11
[   26.560325] Bridge firewalling registered
[   26.598435] Bluetooth: SCO (Voice Link) ver 0.6
[   26.598439] Bluetooth: SCO socket layer initialized
[   28.424016] eth0: no IPv6 routers present
[   28.828438] lp: driver loaded but no devices found
[   28.846786] ppdev: user-space parallel port driver
[   48.123862] BUG: unable to handle kernel NULL pointer dereference at (null)
[   48.123869] IP: [<ffffffffa031f933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   48.123896] PGD 13cf6d067 PUD 13cc47067 PMD 0 
[   48.123903] Oops: 0000 [#1] SMP 
[   48.123907] last sysfs file: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/boot_vga
[   48.123912] CPU 0 
[   48.123915] Modules linked in: parport_pc ppdev lp parport sco bridge rfcomm stp bnep l2cap crc16 bluetooth acpi_cpufreq cpufreq_userspace cpufreq_conservative cpufreq_stats cpufreq_powersave vboxnetadp vboxnetflt vboxdrv binfmt_misc uinput deflate zlib_deflate ctr twofish twofish_common camellia serpent blowfish cast5 des_generic cbc aes_x86_64 aes_generic xcbc rmd160 sha256_generic sha1_generic hmac crypto_null af_key fuse loop firewire_sbp2 snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss uvcvideo snd_pcm snd_seq_midi radeon snd_rawmidi videodev arc4 snd_seq_midi_event v4l1_compat ttm ecb snd_seq v4l2_compat_ioctl32 drm_kms_helper drm i2c_algo_bit i2c_i801 snd_timer snd_seq_device i2c_core iwlagn iwlcore snd mac80211 cfg80211 soundcore snd_page_alloc joydev battery evdev button video ac pcspkr sony_laptop rfkill output serio_raw psmouse processor ext3 jbd mbcache usbhid hid sg sr_mod sd_mod crc_t10dif cdrom uhci
 _hcd sdhci_pci sdhci ahci firewire_ohci firewire_core mmc_core crc_itu_t led_class libata thermal thermal_sys ehci_hcd sky2 scsi_mod usbcore nls_base [last unloaded: scsi_wait_scan]
[   48.124053] Pid: 3026, comm: Xorg Not tainted 2.6.32-5-amd64 #1 VGN-NW11Z_T
[   48.124057] RIP: 0010:[<ffffffffa031f933>]  [<ffffffffa031f933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   48.124078] RSP: 0018:ffff88013e0c5d70  EFLAGS: 00010246
[   48.124082] RAX: 0000000000000000 RBX: ffff88013e74f000 RCX: 0000000000000000
[   48.124086] RDX: ffffc900111c2f34 RSI: ffff88013e74f000 RDI: ffff88013bd7c000
[   48.124091] RBP: ffff88013bc03600 R08: ffff88013e74f080 R09: 00000000c0086464
[   48.124095] R10: 0000000000000001 R11: 000000033e0c5d7c R12: 0000000000000000
[   48.124099] R13: ffff88013bd1c800 R14: ffff88013cd97240 R15: ffff88013bd1c800
[   48.124105] FS:  00007f13a85a2700(0000) GS:ffff880005200000(0000) knlGS:0000000000000000
[   48.124109] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   48.124113] CR2: 0000000000000000 CR3: 000000013e29c000 CR4: 00000000000406f0
[   48.124117] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   48.124122] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   48.124127] Process Xorg (pid: 3026, threadinfo ffff88013e0c4000, task ffff88013e365bd0)
[   48.124130] Stack:
[   48.124133]  ffffffffa0305b0c ffff88013bc03600 ffff88013e0c5de8 00007fff92242e40
[   48.124139] <0> ffffffffa0350d90 00000000c0086464 ffffffffa0275f5c ffff880100000064
[   48.124146] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007fff92242f30
[   48.124154] Call Trace:
[   48.124177]  [<ffffffffa0305b0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   48.124192]  [<ffffffffa0275f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   48.124201]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   48.124223]  [<ffffffffa0305aaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   48.124230]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   48.124236]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   48.124243]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   48.124248]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   48.124253]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   48.124260]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   48.124263] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00 
[   48.124315] RIP  [<ffffffffa031f933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   48.124334]  RSP <ffff88013e0c5d70>
[   48.124337] CR2: 0000000000000000
[   48.124359] ---[ end trace d4bafee3c80dd4aa ]---
[   48.129218] [drm:drm_release] *ERROR* Device busy: 1

** Model information
sys_vendor: Sony Corporation
product_name: VGN-NW11Z_T
product_version: C601Q2KG
chassis_vendor: Sony Corporation
chassis_version: N/A
bios_vendor: American Megatrends Inc.
bios_version: R0170Y4
board_vendor: Sony Corporation
board_name: VAIO
board_version: N/A

** Loaded modules:
Module                  Size  Used by
parport_pc             18855  0 
ppdev                   5030  0 
lp                      7462  0 
parport                27954  3 parport_pc,ppdev,lp
sco                     7209  2 
bridge                 39470  0 
rfcomm                 29533  0 
stp                     1440  1 bridge
bnep                    9363  2 
l2cap                  24736  6 rfcomm,bnep
crc16                   1319  1 l2cap
bluetooth              41763  6 sco,rfcomm,bnep,l2cap
acpi_cpufreq            5523  1 
cpufreq_userspace       1960  0 
cpufreq_conservative     5162  0 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
vboxnetadp              4193  0 
vboxnetflt             12525  0 
vboxdrv              1723607  2 vboxnetadp,vboxnetflt
binfmt_misc             6399  1 
uinput                  6376  1 
deflate                 1767  0 
zlib_deflate           17746  1 deflate
ctr                     3363  0 
twofish                 6025  0 
twofish_common         13472  1 twofish
camellia               17463  0 
serpent                16791  0 
blowfish                7944  0 
cast5                  16349  0 
des_generic            15475  0 
cbc                     2539  0 
aes_x86_64              7340  0 
aes_generic            25714  1 aes_x86_64
xcbc                    2325  0 
rmd160                  7104  0 
sha256_generic          8692  0 
sha1_generic            1759  0 
hmac                    2593  0 
crypto_null             2492  0 
af_key                 25325  0 
fuse                   49998  1 
loop                   11767  0 
firewire_sbp2          11434  0 
snd_hda_codec_atihdmi     2251  1 
snd_hda_codec_realtek   235570  1 
snd_hda_intel          19955  0 
snd_hda_codec          54244  3 snd_hda_codec_atihdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
snd_mixer_oss          12606  1 snd_pcm_oss
uvcvideo               51887  0 
snd_pcm                60503  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4400  0 
radeon                572625  1 
snd_rawmidi            15515  1 snd_seq_midi
videodev               29881  1 uvcvideo
arc4                    1274  2 
snd_seq_midi_event      4628  1 snd_seq_midi
v4l1_compat            11442  2 uvcvideo,videodev
ttm                    39746  1 radeon
ecb                     1841  2 
snd_seq                42737  2 snd_seq_midi,snd_seq_midi_event
v4l2_compat_ioctl32     8474  1 videodev
drm_kms_helper         20033  1 radeon
drm                   142151  3 radeon,ttm,drm_kms_helper
i2c_algo_bit            4225  1 radeon
i2c_i801                7830  0 
snd_timer              15582  2 snd_pcm,snd_seq
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
i2c_core               15680  6 radeon,videodev,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
iwlagn                 73059  0 
iwlcore                77282  1 iwlagn
snd                    46414  11 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
mac80211              136604  2 iwlagn,iwlcore
cfg80211              100792  3 iwlagn,iwlcore,mac80211
soundcore               4598  1 snd
snd_page_alloc          6169  2 snd_hda_intel,snd_pcm
joydev                  8411  0 
battery                 4998  0 
evdev                   7352  14 
button                  4650  0 
video                  17445  0 
ac                      2192  0 
pcspkr                  1699  0 
sony_laptop            24593  0 
rfkill                 12964  4 bluetooth,cfg80211,sony_laptop
output                  1692  1 video
serio_raw               3752  0 
psmouse                49729  0 
processor              30239  3 acpi_cpufreq
ext3                  106134  4 
jbd                    36877  1 ext3
mbcache                 5050  1 ext3
usbhid                 33148  0 
hid                    62793  1 usbhid
sg                     18712  0 
sr_mod                 12602  0 
sd_mod                 29713  6 
crc_t10dif              1276  1 sd_mod
cdrom                  29415  1 sr_mod
uhci_hcd               18457  0 
sdhci_pci               5533  0 
sdhci                  13902  1 sdhci_pci
ahci                   32310  5 
firewire_ohci          19404  0 
firewire_core          36656  2 firewire_sbp2,firewire_ohci
mmc_core               45040  1 sdhci
crc_itu_t               1307  1 firewire_core
led_class               2433  2 iwlcore,sdhci
libata                133328  1 ahci
thermal                11674  0 
thermal_sys            11942  3 video,processor,thermal
ehci_hcd               30895  0 
sky2                   40611  0 
scsi_mod              121861  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
usbcore               121698  5 uvcvideo,usbhid,uhci_hcd,ehci_hcd
nls_base                6377  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet dhcp
 
allow-hotplug wlan0
iface wlan0 inet dhcp


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:1d:ba:f4:19:5d brd ff:ff:ff:ff:ff:ff
    inet 159.237.76.2/21 brd 159.237.79.255 scope global eth0
    inet6 2002:9fed:4984:8:21d:baff:fef4:195d/64 scope global dynamic 
       valid_lft 7045sec preferred_lft 1645sec
    inet6 2002:9fed:f3be:8:21d:baff:fef4:195d/64 scope global dynamic 
       valid_lft 172645sec preferred_lft 1645sec
    inet6 fec0::8:21d:baff:fef4:195d/64 scope site dynamic 
       valid_lft 7045sec preferred_lft 1645sec
    inet6 fe80::21d:baff:fef4:195d/64 scope link 
       valid_lft forever preferred_lft forever
3: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:22:fb:93:8f:e0 brd ff:ff:ff:ff:ff:ff
4: vboxnet0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 0a:00:27:00:00:00 brd ff:ff:ff:ff:ff:ff
5: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether ca:a8:25:ba:a0:f4 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:22302352   25070    0    0    0     0          0         0 22302352   25070    0    0    0     0       0          0
  eth0: 3619343   37026    0    0    0     0          0         0 22596544   24757    0    0    0     0       0          0
 wlan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
vboxnet0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    26362 total packets received
    87 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    26275 incoming packets delivered
    24784 requests sent out
    16 outgoing packets dropped
Icmp:
    40 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 40
    52 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 52
IcmpMsg:
        InType3: 40
        OutType3: 52
Tcp:
    53 active connections openings
    2 passive connection openings
    48 failed connection attempts
    0 connection resets received
    3 connections established
    41502 segments received
    49528 segments send out
    97 segments retransmited
    0 bad segments received.
    12 resets sent
Udp:
    952 packets received
    52 packets to unknown port received.
    0 packet receive errors
    103 packets sent
UdpLite:
TcpExt:
    238 delayed acks sent
    1 packets directly queued to recvmsg prequeue.
    23566 packet headers predicted
    29 acknowledgments not containing data payload received
    24478 predicted acknowledgments
    49 other TCP timeouts
    48 connections aborted due to timeout
IpExt:
    InMcastPkts: 726
    OutMcastPkts: 34
    InBcastPkts: 8922
    InOctets: 2527992
    OutOctets: 22250005
    InMcastOctets: 215542
    OutMcastOctets: 6601
    InBcastOctets: 889397

*** Device features:
eth0: 0x109a3
lo: 0x13865
pan0: 0xff3865
vboxnet0: 0x0
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port [8086:2a41] (rev 07) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: c0000000-d00fffff
	Prefetchable memory behind bridge: 00000000d4b00000-00000000d4cfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at e0e0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at e0c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 19
	Region 4: I/O ports at e0a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at d4a04c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d4a00000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: d3500000-d48fffff
	Prefetchable memory behind bridge: 00000000d4d00000-00000000d4efffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: d2100000-d34fffff
	Prefetchable memory behind bridge: 00000000d4f00000-00000000d50fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=0b, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: d0100000-d20fffff
	Prefetchable memory behind bridge: 00000000d5100000-00000000d52fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at e080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at e060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at e040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d4a04800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=32
	Memory behind bridge: d4900000-d49fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M LPC Interface Controller [8086:2919] (rev 03)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 29
	Region 0: I/O ports at e130 [size=8]
	Region 1: I/O ports at e120 [size=4]
	Region 2: I/O ports at e110 [size=8]
	Region 3: I/O ports at e100 [size=4]
	Region 4: I/O ports at e020 [size=32]
	Region 5: Memory at d4a04000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at d4a05000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at e000 [size=32]

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series] [1002:9553] (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at d000 [size=256]
	Region 2: Memory at d0020000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at d0000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

01:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 [1002:aa38]
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at d0030000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

02:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8057 PCI-E Gigabit Ethernet Controller [11ab:4380] (rev 10)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at d3520000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at c000 [size=256]
	Expansion ROM at d3500000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: sky2

03:00.0 Network controller [0280]: Intel Corporation WiFi Link 5100 [8086:4232]
	Subsystem: Intel Corporation WiFi Link 5100 AGN [8086:1301]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at d2100000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

0c:03.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d4900000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

0c:03.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 22)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at d4900900 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

0c:03.2 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 12)
	Subsystem: Sony Corporation Device [104d:9056]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 10
	Region 0: Memory at d4900800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>


** USB devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 192f:0416 Avago Technologies, Pte. 
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 04f2:b14e Chicony Electronics Co., Ltd 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.2     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-23  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:




Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=29834'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 22 Sep 2010 02:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Wed, 22 Sep 2010 02:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Sep 2010 02:21:06 GMT) Full text and rfc822 format available.

Message #12 received at 597636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moorthi Pichumani <mpichumani@alumni.unav.es>, 597636@bugs.debian.org
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Wed, 22 Sep 2010 03:16:59 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-09-21 at 17:26 +0200, Moorthi Pichumani wrote:
> Package: linux-2.6
> Version: 2.6.32-23
> Severity: important
> 
> Dear Managers
> 
> After rebooting with this kernel, system apparently hangs. But I can connect it
> remotely. Then I tried with out gdm manager in order to solve the problem of
> xwindow. Now it happens the same. "The system boots and unable to login except
> remotely"

Please run 'lspci -s 01:00.0 -v' as root and send the output.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Wed, 22 Sep 2010 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Sep 2010 02:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 597636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 597636@bugs.debian.org
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Wed, 22 Sep 2010 03:23:43 +0100
[Message part 1 (text/plain, inline)]
I think this is the bug introduced by:

commit 812d046915f48236657f02c06d7dc47140e9ceda
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Jul 26 18:51:53 2010 -0400

    drm/radeon/kms/r7xx: add workaround for hw issue with HDP flush

(cherry-picked in 2.6.32-20, via 2.6.34.3) and fixed by:

commit 87cbf8f2c5d1b1fc4642c3dc0bb6efc587479603
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Aug 27 13:59:54 2010 -0400

    drm/radeon/kms: fix a regression on r7xx AGP due to the HDP flush fix

Just need to check whether the device in question really is an AGP
device.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Wed, 22 Sep 2010 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mpichumani@alumni.unav.es:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Sep 2010 08:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 597636@bugs.debian.org (full text, mbox):

From: Moorthi Pichumani <mpichumani@alumni.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 597636@bugs.debian.org, Wenceslao Gonzalez Vinas <wens@fisica.unav.es>
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Wed, 22 Sep 2010 10:11:48 +0200
pillayar:/home/pmoorthi# whoami
root
pillayar:/home/pmoorthi# lspci -s 01:00.0 -v
01:00.0 VGA compatible controller: ATI Technologies Inc M92 [Mobility 
Radeon HD 4500 Series] (prog-if 00 [VGA controller])
   Subsystem: Sony Corporation Device 9056
   Flags: bus master, fast devsel, latency 0, IRQ 16
   Memory at c0000000 (32-bit, prefetchable) [size=256M]
   I/O ports at d000 [size=256]
   Memory at d0020000 (32-bit, non-prefetchable) [size=64K]
   Expansion ROM at d0000000 [disabled] [size=128K]
   Capabilities: [50] Power Management version 3
   Capabilities: [58] Express Legacy Endpoint, MSI 00
   Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
   Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 
Len=010 <?>
   Kernel driver in use: radeon

pillayar:/home/pmoorthi#

Ben Hutchings wrote:
> On Tue, 2010-09-21 at 17:26 +0200, Moorthi Pichumani wrote:
>   
>> Package: linux-2.6
>> Version: 2.6.32-23
>> Severity: important
>>
>> Dear Managers
>>
>> After rebooting with this kernel, system apparently hangs. But I can connect it
>> remotely. Then I tried with out gdm manager in order to solve the problem of
>> xwindow. Now it happens the same. "The system boots and unable to login except
>> remotely"
>>     
>
> Please run 'lspci -s 01:00.0 -v' as root and send the output.
>
> Ben.
>
>   





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Mon, 27 Sep 2010 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Sep 2010 01:48:03 GMT) Full text and rfc822 format available.

Message #27 received at 597636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 597636@bugs.debian.org, Wenceslao Gonzalez Vinas <wens@fisica.unav.es>, mpichumani@alumni.unav.es
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Mon, 27 Sep 2010 02:46:14 +0100
[Message part 1 (text/plain, inline)]
Alex,

Moorthi Pichumani reports that radeon crashes at startup in a Debian
kernel.  This has drm from 2.6.33 with backported fixes.  The oops
message shows it's trying to write through a null pointer in
r600_ioctl_wait_idle().  I thought this might be due to the bug you
fixed in commit 87cbf8f "drm/radeon/kms: fix a regression on r7xx AGP
due to the HDP flush fix", but this is not an AGP device.  Any other
ideas?

The bug report is at <http://bugs.debian.org/597636>.
Our kernel source is <git://git.debian.org/kernel/linux-2.6.git#squeeze>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Mon, 27 Sep 2010 15:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Sep 2010 15:03:11 GMT) Full text and rfc822 format available.

Message #32 received at 597636@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 597636@bugs.debian.org, Wenceslao Gonzalez Vinas <wens@fisica.unav.es>, mpichumani@alumni.unav.es
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Mon, 27 Sep 2010 10:58:23 -0400
[Message part 1 (text/plain, inline)]
On Sun, Sep 26, 2010 at 9:46 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> Alex,
>
> Moorthi Pichumani reports that radeon crashes at startup in a Debian
> kernel.  This has drm from 2.6.33 with backported fixes.  The oops
> message shows it's trying to write through a null pointer in
> r600_ioctl_wait_idle().  I thought this might be due to the bug you
> fixed in commit 87cbf8f "drm/radeon/kms: fix a regression on r7xx AGP
> due to the HDP flush fix", but this is not an AGP device.  Any other
> ideas?
>
> The bug report is at <http://bugs.debian.org/597636>.
> Our kernel source is <git://git.debian.org/kernel/linux-2.6.git#squeeze>.
>

The attached patch should fix it.

Alex

> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>
[0001-drm-radeon-kms-fix-potential-segfault-in-r600_ioctl_.patch (text/x-patch, attachment)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 27 Sep 2010 16:54:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 01:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597636; Package linux-2.6. (Tue, 28 Sep 2010 01:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Sep 2010 01:21:05 GMT) Full text and rfc822 format available.

Message #41 received at 597636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 597636@bugs.debian.org, Wenceslao Gonzalez Vinas <wens@fisica.unav.es>, mpichumani@alumni.unav.es
Subject: Re: Bug#597636: linux-image-2.6.32-5-amd64: Unable to login with this kernel
Date: Tue, 28 Sep 2010 02:16:29 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-09-27 at 10:58 -0400, Alex Deucher wrote:
> On Sun, Sep 26, 2010 at 9:46 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > Alex,
> >
> > Moorthi Pichumani reports that radeon crashes at startup in a Debian
> > kernel.  This has drm from 2.6.33 with backported fixes.  The oops
> > message shows it's trying to write through a null pointer in
> > r600_ioctl_wait_idle().  I thought this might be due to the bug you
> > fixed in commit 87cbf8f "drm/radeon/kms: fix a regression on r7xx AGP
> > due to the HDP flush fix", but this is not an AGP device.  Any other
> > ideas?
> >
> > The bug report is at <http://bugs.debian.org/597636>.
> > Our kernel source is <git://git.debian.org/kernel/linux-2.6.git#squeeze>.
> >
> 
> The attached patch should fix it.

Thanks Alex, I'll apply that.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 30 Sep 2010 02:51:20 GMT) Full text and rfc822 format available.

Notification sent to Moorthi Pichumani <mpichumani@alumni.unav.es>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 02:51:20 GMT) Full text and rfc822 format available.

Message #46 received at 597636-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 597636-close@bugs.debian.org
Subject: Bug#597636: fixed in linux-2.6 2.6.32-24
Date: Thu, 30 Sep 2010 02:48:33 +0000
Source: linux-2.6
Source-Version: 2.6.32-24

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-24_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-24_all.deb
linux-2.6_2.6.32-24.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-24.diff.gz
linux-2.6_2.6.32-24.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-24.dsc
linux-base_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-24_all.deb
linux-doc-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-24_all.deb
linux-manual-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-24_all.deb
linux-patch-debian-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-24_all.deb
linux-source-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-24_all.deb
linux-support-2.6.32-5_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-24_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 30 Sep 2010 00:46:16 +0100
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all source
Version: 2.6.32-24
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 591540 596453 596635 597043 597636 597820 597904 598103 598147
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-24) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * speakup: Update to match Debian package version 3.1.5.dfsg.1-1
   * scsi_dh_emc: Fix mode select request setup (Closes: #591540)
   * snd-hda-codec-via: Fix syntax error when CONFIG_SND_HDA_POWER_SAVE is
     disabled (Closes: #597043)
   * Add stable 2.6.32.22:
     - [vserver] Revert sched changes since they conflict.
   * Recommend use of 'make deb-pkg' to build custom kernel packages
   * [x86] Revert "i915: Blacklist i830, i845, i855 for KMS". The current X
     driver (xserver-xorg-video-intel version 2.12.0+shadow-1) should work
     properly with KMS on these chips. (Closes: #596453)
   * phonet: Restrict to initial namespace (Closes: #597904)
   * Add stable 2.6.32.23:
     - serial/mos*: prevent reading uninitialized stack memory
     - net: Fix oops from tcp_collapse() when using splice()
     - rds: fix a leak of kernel memory
     - hso: prevent reading uninitialized memory (CVE-2010-3298)
     - cxgb3: prevent reading uninitialized stack memory (CVE-2010-3296)
     - eql: prevent reading uninitialized stack memory (CVE-2010-3297)
     - vt6655: fix buffer overflow
     - net/llc: make opt unsigned in llc_ui_setsockopt()
     - sisfb: prevent reading uninitialized stack memory
     - aio: check for multiplication overflow in do_io_submit (CVE-2010-3067)
     - xfs: prevent reading uninitialized stack memory (CVE-2010-3078)
     - viafb: prevent reading uninitialized stack memory
     - [hppa,ia64] mm: guard page for stacks that grow upwards (CVE-2010-2240)
     - sctp: Do not reset the packet during sctp_packet_config()
       (CVE-2010-3432)
   * xen: Fix typo in xen_percpu_chip definition
   * 3c59x: Remove incorrect locking (Closes: #598103)
   * f71882fg: Add support for the f71889fg (Closes: #597820)
   * drm/radeon: Fix regressions introduced in 2.6.34.3 (Closes: #597636)
   * mmc: fix hangs related to mmc/sd card insert/removal during suspend/resume
     (Closes: #598147)
 .
   [ Martin Michlmayr ]
   * ARM: update mach types.
   * [armel/config.kirkwood] Enable MACH_DOCKSTAR.
 .
   [ Ian Campbell ]
   * [x86/xen] Disable netfront's smartpoll mode by default. (Closes: #596635)
 .
   [ maximilian attems ]
   * [openvz] Update upstream patch to 2.6.32-dyomin.
Checksums-Sha1: 
 dac310b83bbf81beba8f87ce9cc27848cc94e2e2 6969 linux-2.6_2.6.32-24.dsc
 0951645ac3525f504dc5e7fe34f25ab2c0c0fef3 13116178 linux-2.6_2.6.32-24.diff.gz
 85a2f3242b2c9b6a3cd8943e80830413fa0da94b 6050388 linux-doc-2.6.32_2.6.32-24_all.deb
 fd0dab3d9c87e2831377dc2a882bae5509d93462 2727346 linux-manual-2.6.32_2.6.32-24_all.deb
 9c8a7c5bf9d87e6c7599ad7e29a96aa5f2a7e33c 6624282 linux-patch-debian-2.6.32_2.6.32-24_all.deb
 5b75fd4421ef00af23e788c6a2ca36afd01ff828 64762336 linux-source-2.6.32_2.6.32-24_all.deb
 a48b3619083c302df4d6c14bec520165ef540423 150862 linux-support-2.6.32-5_2.6.32-24_all.deb
 368f1f41adc8a3c7f74d79fc88440a976f95d450 139240 firmware-linux-free_2.6.32-24_all.deb
 1c1823269d136921f2a7c3c0f7e28a65cfe8c681 157878 linux-base_2.6.32-24_all.deb
Checksums-Sha256: 
 1f7870f8fd1d2301360277f0c7bd598009f226732d5f63e242dadc97ccfc6d31 6969 linux-2.6_2.6.32-24.dsc
 88013d810bded59411df65df7ecfc8e8ba4a6e9fc9c99bbbf100983181b80f99 13116178 linux-2.6_2.6.32-24.diff.gz
 ed94469489dc9baaa93892e80dc9e4e6117f1e6b39accf6912cec7ea688e78b5 6050388 linux-doc-2.6.32_2.6.32-24_all.deb
 97d859b520c225549379f051425dbcf1dc6aa419ebf2d39ab68b934f845d1e74 2727346 linux-manual-2.6.32_2.6.32-24_all.deb
 2029ab9341f16c4711271001922a4c0cbf6e8b858baafaf6e64cc8d6f5e3a7af 6624282 linux-patch-debian-2.6.32_2.6.32-24_all.deb
 f23f68b4ad2cc93851755b281b44a0f84e1983dd47e73f0cce0c759adc3e3038 64762336 linux-source-2.6.32_2.6.32-24_all.deb
 7753cc0aa69fa150b23061160ca98fc43de58a7bea2ac33baea8389037ff73c5 150862 linux-support-2.6.32-5_2.6.32-24_all.deb
 beea730a324791c78951dc4e8b3bfaa997fae7d318e7f33ec1269628b210399d 139240 firmware-linux-free_2.6.32-24_all.deb
 e28f655ab50c558959f09363fcfbb2cc4682c685ac62f532aae07d4fa8ada962 157878 linux-base_2.6.32-24_all.deb
Files: 
 bf8f45cdbd68fd1b7c736e89c54b433c 6969 kernel optional linux-2.6_2.6.32-24.dsc
 7cc4a1d80d403e26f6eca74c3708dc74 13116178 kernel optional linux-2.6_2.6.32-24.diff.gz
 5c2dab1b29802328baeeafea0efcc198 6050388 doc optional linux-doc-2.6.32_2.6.32-24_all.deb
 17e3c12f43eb4ac5f9785c653ce31051 2727346 doc optional linux-manual-2.6.32_2.6.32-24_all.deb
 bb18b807fe1e0f453553d8931e2ecf14 6624282 kernel optional linux-patch-debian-2.6.32_2.6.32-24_all.deb
 29da1d8b42741400dca4ee4a32881d02 64762336 kernel optional linux-source-2.6.32_2.6.32-24_all.deb
 b8b9795ce3870aa005ff0b5723f57b9e 150862 devel optional linux-support-2.6.32-5_2.6.32-24_all.deb
 96321f9f46afc89e71ff1281d517ceb3 139240 kernel optional firmware-linux-free_2.6.32-24_all.deb
 6915c3cbcd04b883719b961411f7bfd3 157878 kernel optional linux-base_2.6.32-24_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTKPjfOe/yOyVhhEJAQoFvg/+NCE3cAeLVzlXcq77YWsRI5gEFDrK9Rkl
smxe00yyZ1Rsx53nNTLoMTjjGVDXvXmot2CcBJknXJ+LO6gy2FjqzQJyeDfxFsJs
FhCmHnK9NbaU2mxE2QyQrFGUuJZ3Ph+TqwCx4DgNxn92rIiGILxRN6XB/QixNQaC
pjNZaInyTrThl6KRRuHLlBZdktO9AhVH8NHVbPsI+9kmq6L+iMRMao9Sl3kToQCw
ivIZcu/18Lw1yZxblAZBAMxgL2ByiCIkBkZouOJJbWE1enje1s95e7tlV1ovREFn
wULws+n/Qbn7ceSbzEvY3a5m0n0usjsjsWt7SX+JCnR8DBSrkpyZ5A8nZY2wen53
wIXmiDC6C5Ce+cfxTT5CDv5qrH54LpFuc5FiiLCPGV9/m5DQ5vQSoDyQQ5DyUQpY
SBEhFuk1EueOIerqBEGXwsLZpoTDzgC5Li2FX+s6TRx3SjPpFf9ukXhRwK4CYSRB
KAXsY8MInFuxqkttJ94/7+ZglAZlqnpcjqTB3pJKSf2kJs+whyAZR9R+rzyPnSdK
bxPWkUioHttTKk/hR1LeYdjilSy4KgNUB+zGpwYhsDSaG3a5woPvtw4u4htIB8uX
ksyEcPfDZjJjpQbawwLfonFiu9qwqbSvGH6rEVAGyUgWj3JzRJ386vjcck3rFgi8
1rn7TE3Hwdk=
=dXGx
-----END PGP SIGNATURE-----





Forcibly Merged 597636 598866. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 02 Oct 2010 19:30:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:36:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.